Bug 1281345 - Changing view for instances list in a Relationship list doesn't work
Changing view for instances list in a Relationship list doesn't work
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Martin Hradil
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 05:58 EST by Marius Cornea
Modified: 2015-12-08 08:46 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:46:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-11-12 05:58:06 EST
Description of problem:
When changing the view for Openstack provider instances list in a Relationship list changing the view gets me to the provider summary page.

Version-Release number of selected component (if applicable):
5.5.0.10-beta2.1.20151110134042_d6f5459

How reproducible:
100%

Steps to Reproduce:
1. Go to Cloud-Providers
2. Click on the provider you want to list instances for
3. Click on Relationships-Instances
4. Change the view(Grid, Tile, List) to a different one than the active 

Actual results:
The instances list doesn't show up with the selected view.

Expected results:
The cloud provider summary page shows up.
Comment 2 Ladislav Smola 2015-11-13 02:51:11 EST
This seems like a global problem, I see it in all relations in the cloud provider

@Martin you will probably know more about this, seems like the url is wrong when I am on instances list its:
http://localhost:3002/ems_cloud/1?display=instances

But when I click on e.g. tile, it gets me back to provider detail, cause the urls is:
http://localhost:3002/ems_cloud/1?/1?type=tile

I assume the URL should be something like:
http://localhost:3002/ems_cloud/1?display=instances&type=tile
Comment 3 Martin Hradil 2015-11-13 12:01:16 EST
@Ladas Agreed, that's exactly how it should be, the logic to combine the url is broken in miqToolbarOnClick.., when you try that (should be) url manually it works.
Comment 7 CFME Bot 2015-11-23 12:03:08 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c953da85fc691c4e6c885774dc7d788662a9599b

commit c953da85fc691c4e6c885774dc7d788662a9599b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Nov 20 13:29:38 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 23 12:04:22 2015 +0000

    Fix view toolbar buttons in Cloud provider instances
    
    if the controller is restful, it's no longer /vm/show/123 -> show, but /vm/123 -> /
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281345

 app/helpers/application_helper/toolbar_builder.rb | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)
Comment 8 CFME Bot 2015-11-23 12:03:13 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3bb8b1f31ab8c93bf32120b4f863bbae7a384e09

commit 3bb8b1f31ab8c93bf32120b4f863bbae7a384e09
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Nov 20 15:27:20 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 23 12:04:22 2015 +0000

    ToolbarBuilder#controller_restful? - determines whether the current controller is using restful routes
    
    works when build_toolbar is called from a view (has #controller),
    or from a controller (has #restful?)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281345

 app/helpers/application_helper/toolbar_builder.rb | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)
Comment 9 CFME Bot 2015-11-23 14:07:39 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=008d266928d5eb351ae55d4e17cb174482ee9766

commit 008d266928d5eb351ae55d4e17cb174482ee9766
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Nov 20 13:29:38 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 23 16:52:28 2015 +0000

    Fix view toolbar buttons in Cloud provider instances
    
    if the controller is restful, it's no longer /vm/show/123 -> show, but /vm/123 -> /
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281345
    (cherry picked from commit c953da85fc691c4e6c885774dc7d788662a9599b)

 app/helpers/application_helper/toolbar_builder.rb | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)
Comment 10 CFME Bot 2015-11-23 14:07:46 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=0f1de07532930096edf1a66d28cf2b9a9a72ca80

commit 0f1de07532930096edf1a66d28cf2b9a9a72ca80
Merge: 823d32f c70aed0
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Nov 23 13:21:11 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Nov 23 13:21:11 2015 -0500

    Merge branch 'bz1281345-toolbar-restful' into '5.5.z'
    
    Fix view toolbar buttons in Cloud provider instances
    
    https://github.com/ManageIQ/manageiq/pull/5461
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281345
    
    (clean cherry-pick)
    
    See merge request !521

 app/controllers/application_controller.rb          |  1 +
 app/controllers/ems_cloud_controller.rb            |  1 +
 app/helpers/application_helper/toolbar_builder.rb  | 42 ++++++++++++++++------
 .../application_helper/toolbar_builder_spec.rb     | 35 ++++++++++++++++++
 4 files changed, 69 insertions(+), 10 deletions(-)
Comment 11 CFME Bot 2015-11-23 14:07:52 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c70aed053de29a7521f6da96c30d7784e297b40f

commit c70aed053de29a7521f6da96c30d7784e297b40f
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Nov 20 15:27:20 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 23 16:52:45 2015 +0000

    ToolbarBuilder#controller_restful? - determines whether the current controller is using restful routes
    
    works when build_toolbar is called from a view (has #controller),
    or from a controller (has #restful?)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281345
    (cherry picked from commit 3bb8b1f31ab8c93bf32120b4f863bbae7a384e09)

 app/helpers/application_helper/toolbar_builder.rb | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)
Comment 12 Pete Savage 2015-11-25 05:37:22 EST
Verified in 5.5.0.12
Comment 14 errata-xmlrpc 2015-12-08 08:46:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.